> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/44.-mutacija-nustatyti-lauko-zymas.md).

# 44. Mutacija: nustatyti lauko žymas

Mutacija nustatyti „Žymes“ laukui „Field“. Mutacija veikia PERRAŠYMO režimu (OVERWRITE), kas reiškia, kad kiekvienas užklausimas pakeis visas esamas žymes žymėmis iš užklausos.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija SetFieldLabelsSample {
  setFieldLabels(
    input: {
      farmUuid: "<placeholder_of_farm_uuid>"
      uuid: "<placeholder_of_field_uuid>"
      etiketės: [{ pavadinimas: "name1", reikšmė: "value1" }]
    }
  ) {
    uuid
    pavadinimas
    etiketės {
      pavadinimas
      reikšmė
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/44.-mutacija-nustatyti-lauko-zymas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
